Bug 136593

Summary: firefox random lockups after -19 -> -20
Product: [Fedora] Fedora Reporter: Warren Togami <wtogami>
Component: firefoxAssignee: Christopher Aillon <caillon>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-10-23 20:29:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 130887    

Description Warren Togami 2004-10-20 23:47:14 EDT
firefox began locking up randomly after upgrading to
firefox-0.10.1-1.0PR1.20.  I have no idea how to reproduce this, but
it seems to happen eventually.

(gdb) thread apply all bt full

Thread 3 (Thread -160965712 (LWP 14339)):
#0  0xf6fe9782 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0xf6bec564 in poll () from /lib/tls/libc.so.6
No symbol table info available.
#2  0xf6ecd0d0 in PR_Poll (pds=0x898a24c, npds=1, timeout=4294967295)
at ptio.c:3902
No locals.
#3  0xf66a9428 in nsSocketTransportService::Poll (this=0xfffffffc) at
nsSocketTransportService2.cpp:325
        pollList = (PRPollDesc *) 0x898a24c
        pollCount = 1
        pollTimeout = 4294967292
#4  0xf66a9963 in nsSocketTransportService::Run (this=0x8989ef8) at
nsSocketTransportService2.cpp:527
        n = -4
        i = -160262144
        count = 5
        active = 1
#5  0xf6f50f34 in nsThread::Main (arg=0x898a508) at nsCOMPtr.h:710
No locals.
#6  0xf6ecdfeb in _pt_root (arg=0x898a588) at ptthread.c:214
        detached = 0
#7  0xf6e8b1d5 in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#8  0xf6bf619a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 2 (Thread -191956048 (LWP 14341)):
#0  0xf6fe9782 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0xf6e8dac6 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib/tls/libpthread.so.0
No symbol table info available.
#2  0xf6ec9fba in PR_WaitCondVar (cvar=0x89f91f8, timeout=4294967295)
at ptsynch.c:389
        rv = 1000
        thred = (PRThread *) 0x89f9298
#3  0xf6f527bb in TimerThread::Run (this=0x89f90d8) at TimerThread.cpp:284
        waitFor = 4294967295
#4  0xf6f50f34 in nsThread::Main (arg=0x89f5870) at nsCOMPtr.h:710
No locals.
#5  0xf6ecdfeb in _pt_root (arg=0x89f9298) at ptthread.c:214
        detached = 0
#6  0xf6e8b1d5 in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#7  0xf6bf619a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 1 (Thread -156469568 (LWP 14338)):
#0  0xf6fe9782 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0xf6beebf1 in ___newselect_nocancel () from /lib/tls/libc.so.6
No symbol table info available.
#2  0xf6da7f92 in _XEnq () from /usr/X11R6/lib/libX11.so.6
No symbol table info available.
#3  0xf6da836e in _XRead () from /usr/X11R6/lib/libX11.so.6
No symbol table info available.
#4  0xf6daa165 in _XReadEvents () from /usr/X11R6/lib/libX11.so.6
No symbol table info available.
#5  0xf6d92810 in XIfEvent () from /usr/X11R6/lib/libX11.so.6
No symbol table info available.
#6  0xf25393dd in _XimThaiCloseIM () from
/usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
No symbol table info available.
#7  0xf2539a54 in _XimWrite () from
/usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
No symbol table info available.
#8  0xf2539cf2 in _XimRead () from
/usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
No symbol table info available.
#9  0xf2527f76 in _XimProtoCreateIC () from
/usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
No symbol table info available.
#10 0xf6dc21bc in XCreateIC () from /usr/X11R6/lib/libX11.so.6
No symbol table info available.
#11 0xf4a53f22 in UnixCommonPlayer::InitInputMethod () from
/usr/lib/flash-plugin/libflashplayer.so
No symbol table info available.
#12 0xf4a983b4 in PlatformPlayer::NsSetWindow () from
/usr/lib/flash-plugin/libflashplayer.so
No symbol table info available.
#13 0xf4a9c34e in NPP_SetWindow () from
/usr/lib/flash-plugin/libflashplayer.so
No symbol table info available.
#14 0xf4a9a580 in Private_SetWindow () from
/usr/lib/flash-plugin/libflashplayer.so
No symbol table info available.
#15 0xf4bea6ea in ns4xPluginInstance::SetWindow (this=0x91b7df0,
window=0x8e55024) at ns4xPluginInstance.cpp:1261
        isXembed = 0
        win = (GdkWindow *) 0x918bef8
        user_data = 0x8aab890
#16 0xf4c00d24 in nsPluginNativeWindowGtk2::CallSetWindow
(this=0x8e55020, aPluginInstance=@0xfef6f988) at nsCOMPtr.h:710
        val = 0
#17 0xf4bf9c50 in nsPluginHostImpl::InstantiateEmbededPlugin
(this=0x89f4530,
    aMimeType=0x91b7cf8 "application/x-shockwave-flash",
aURL=0x8c69008, aOwner=0x920b870) at nsPluginHostImpl.cpp:3436
        inst = {<nsCOMPtr_base> = {mRawPtr = 0x91b7df0}, <No data fields>}
        havedata = 153139312
        pti = {<nsCOMPtr_base> = {mRawPtr = 0x91b3258}, <No data fields>}
        res = 8
        javaDOM = {<nsCOMPtr_base> = {mRawPtr = 0xfef6fa00}, <No data
fields>}
#18 0xf573a600 in nsObjectFrame::InstantiatePlugin (this=0x919ba20,
aPresContext=0x920cee8, aMetrics=@0xfef6fcbc,
    aReflowState=@0xfef70254, aPluginHost=0x89f4534,
aMimeType=0x91b7cf8 "application/x-shockwave-flash", aURI=0x8c69008)
    at nsObjectFrame.cpp:1477
        origin = {x = 0, y = 0}
        window = (nsPluginWindow *) 0x8e55024
        rv = 4277599420
        pDoc = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        parentWithView = (class nsIView *) 0x910b4d8
        doc = {<nsCOMPtr_base> = {mRawPtr = 0x9349c58}, <No data fields>}
#19 0xf573c82c in nsObjectFrame::Reflow (this=0x919ba20,
aPresContext=0x920cee8, aMetrics=@0xfef70204,
    aReflowState=@0xfef70254, aStatus=@0xfef70644) at nsCOMPtr.h:704
        mimeTypeStr = {<nsCString> = {<nsCSubstring> = {<nsACString> =
{mVTable = 0xf6f7e348,
        mData = 0x91b7cf8 "application/x-shockwave-flash", mLength = 29,
        mFlags = 9}, <No data fields>}, <No data fields>}, <No data
fields>}
        type = {<nsFixedString> = {<nsString> = {<nsSubstring> =
{<nsAString> = {mVTable = 0xf6f7e248, mData = 0xfef6fe14,
          mLength = 29, mFlags = 65553}, <No data fields>}, <No data
fields>}, mFixedCapacity = 63,
    mFixedBuf = 0xfef6fe14}, mStorage = {97, 112, 112, 108, 105, 99,
97, 116, 105, 111, 110, 47, 120, 45, 115, 104, 111,
    99, 107, 119, 97, 118, 101, 45, 102, 108, 97, 115, 104, 0, 0, 0,
0, 0, 13141, 62857, 9944, 62884, 65312, 65270, 12992,
    2331, 65180, 65270, 23649, 62861, 12615, 62857, 9944, 62884,
65312, 65270, 12992, 2331, 65180, 65270, 23659, 62861,
    12992, 2331, 65312, 65270, 9944, 62884}}
        mimeType = 0x91b7cf8 "application/x-shockwave-flash"
        src = {<nsFixedString> = {<nsString> = {<nsSubstring> =
{<nsAString> = {mVTable = 0xf6f7e248, mData = 0x907eda0,
          mLength = 276, mFlags = 65541}, <No data fields>}, <No data
fields>}, mFixedCapacity = 63,
    mFixedBuf = 0xfef6fec4}, mStorage = {0, 62884, 65376, 65270,
65276, 65270, 51058, 62865, 65376, 65270, 65408, 65270,
    65416, 65270, 65424, 65270, 65432, 65270, 65440, 65270, 65448,
65270, 65456, 65270, 9944, 62884, 11176, 2327, 220,
    65271, 18102, 62853, 65376, 65270, 47528, 2329, 16, 0, 47572,
2329, 65312, 65270, 65376, 65270, 47528, 2329, 16, 0, 1,
    65271, 52968, 2336, 47572, 2329, 0, 0, 0, 0, 0, 0, 65376, 65270,
0, 0}}
        tag = (class nsIAtom *) 0x0
        container = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        classid = {<nsFixedString> = {<nsString> = {<nsSubstring> =
{<nsAString> = {mVTable = 0xf6f7e248,
          mData = 0xf6f76068, mLength = 0, mFlags = 65537}, <No data
fields>}, <No data fields>}, mFixedCapacity = 63,
    mFixedBuf = 0xfef700a4}, mStorage = {0, 62884, 596, 65271, 260,
65271, 37091, 62834, 47572, 2329, 6, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 20, 0, 30128, 2194, 4380, 65271, 5, 0, 232, 65271, 236,
65271, 63027, 62862, 40024, 2356, 248, 65271, 59682,
    63222, 40024, 2356, 292, 65271, 4822, 62848, 264, 65271, 264,
65271, 40024, 2356, 596, 65271, 52968, 2336, 4736, 62848,
    9944, 62884, 52968, 2336, 596, 65271}}
        baseURI = {<nsCOMPtr_base> = {mRawPtr = 0x920b300}, <No data
fields>}
        codeBase = {<nsFixedString> = {<nsString> = {<nsSubstring> =
{<nsAString> = {mVTable = 0xf6f7e248,
          mData = 0xf6f76068, mLength = 0, mFlags = 65537}, <No data
fields>}, <No data fields>}, mFixedCapacity = 63,
    mFixedBuf = 0xfef6ff94}, mStorage = {0, 62861, 12992, 2331, 48,
65271, 9944, 62884, 11292, 2327, 11292, 2327, 9944,
    62884, 11292, 2327, 5, 0, 16, 65271, 15376, 62853, 47572, 2329, 5,
0, 28483, 62866, 9944, 62884, 0, 0, 112, 65271, 12,
    65271, 47075, 62865, 28483, 62866, 9944, 62884, 0, 0, 112, 65271,
12, 65271, 47093, 62865, 112, 65271, 120, 65271,
    9944, 62884, 11292, 2327, 112, 65271, 220, 65271, 20052, 62853}}
        pluginHost = {<nsCOMPtr_base> = {mRawPtr = 0x89f4534}, <No
data fields>}
        fullURL = {<nsCOMPtr_base> = {mRawPtr = 0x8c69008}, <No data
fields>}
#20 0xf5736602 in nsLineLayout::ReflowFrame (this=0xfef706e4,
aFrame=0x919ba20, aReflowStatus=@0xfef70644, aMetrics=0x0,
    aPushedFrame=@0xfef70368) at nsLineLayout.cpp:992
        pfd = (nsLineLayout::PerFrameData *) 0xfef70868
        rv = 0
        rs = (const nsHTMLReflowState *) 0x920cee8
        reason = eReflowReason_Initial
        reflowState = {parentReflowState = 0xfef70530, frame =
0x919ba20, reason = eReflowReason_Initial, path = 0x0,
  availableWidth = 10920, availableHeight = 1073741824, rendContext =
0x92f3178, mFrameType = 32769,
  mSpaceManager = 0x905fea8, mLineLayout = 0xfef706e4, mCBReflowState
= 0xfef7111c, mComputedWidth = 10920,
  mComputedHeight = 1350, mComputedMargin = {left = 0, top = 0, right
= 0, bottom = 0}, mComputedBorderPadding = {left = 0,
    top = 0, right = 0, bottom = 0}, mComputedPadding = {left = 0, top
= 0, right = 0, bottom = 0}, mComputedOffsets = {
    left = 0, top = 0, right = 0, bottom = 0}, mComputedMinWidth = 0,
mComputedMaxWidth = 1073741824,
  mComputedMinHeight = 0, mComputedMaxHeight = 1073741824,
mCompactMarginWidth = 0, mStyleDisplay = 0x9172960,
  mStyleVisibility = 0x91729ec, mStylePosition = 0x919baac,
mStyleBorder = 0x9172530, mStyleMargin = 0x9172b80,
  mStylePadding = 0x9172ba8, mStyleText = 0x9172c1c,
mPercentHeightObserver = 0x0, mPercentHeightReflowInitiator = 0x0,
  mReflowDepth = 6, mFlags = {mSpecialHeightReflow = 0, mIsTopOfPage =
0, mBlinks = 0, mVisualBidiFormControl = 0,
    mUnused = 0}, mRightEdge = 1073741824}
        metrics = {width = 10920, height = 1350, ascent = 1350,
descent = 0, mMaxElementWidth = 0, mMaximumWidth = 0,
  mBoundingMetrics = {leftBearing = 0, rightBearing = 0, ascent = 0,
descent = 0, width = 0}, mCarriedOutBottomMargin = {
    mMostPos = 0, mMostNeg = 0}, mOverflowArea = {x = 0, y = 0, width
= 0, height = 0}, mFlags = 0,
  mNothingChanged = 0 '\0', mComputeMEW = 0 '\0'}
        bidiEnabled = 0
        end = 3
        psd = (nsLineLayout::PerSpanData *) 0x8927628
        availSize = {width = 10920, height = 1073741824}
        tx = 0
        frameType = (class nsIAtom *) 0x8927628
        ty = 0
        start = 220
#21 0xf573101b in nsInlineFrame::ReflowInlineFrame (this=0x919b904,
aPresContext=0x920cee8, aReflowState=@0xfffffdfe,
    irs=@0xfef70428, aFrame=0x919ba20, aStatus=@0xfef70644) at
nsInlineFrame.cpp:709
        lineLayout = (nsLineLayout *) 0xfef706e4
        pushedFrame = 0
        rv = 4119201265
#22 0xf57317a4 in nsInlineFrame::ReflowFrames (this=0x919b904,
aPresContext=0x920cee8, aReflowState=@0xfef70530,
    irs=@0xfef70428, aMetrics=@0xfef704e0, aStatus=@0xfef70644) at
nsInlineFrame.cpp:529
        rv = 0
        lineLayout = (nsLineLayout *) 0xfef706e4
        leftEdge = -17376600
        frame = (class nsIFrame *) 0x919ba20
        availableWidth = 151515096
        size = {width = -17366016, height = -176155946}
#23 0xf5731b1c in nsInlineFrame::Reflow (this=0x919b904,
aPresContext=0x920cee8, aMetrics=@0xfef704e0,
    aReflowState=@0xfef70530, aStatus=@0xfef70644) at
nsInlineFrame.cpp:438
        lazilySetParentPointer = 0
        prevInFlow = (nsInlineFrame *) 0x0
        irs = {mPrevFrame = 0x0, mNextInFlow = 0x0, mSetParentPointer
= 0 '\0'}
        rv = 151515096
#24 0xf5736602 in nsLineLayout::ReflowFrame (this=0xfef706e4,
aFrame=0x919b904, aReflowStatus=@0xfef70644, aMetrics=0x0,
    aPushedFrame=@0xfef70648) at nsLineLayout.cpp:992
        pfd = (nsLineLayout::PerFrameData *) 0xfef707ec
        rv = 0
        rs = (const nsHTMLReflowState *) 0x920cee8
        reason = eReflowReason_Initial
        reflowState = {parentReflowState = 0xfef7111c, frame =
0x919b904, reason = eReflowReason_Initial, path = 0x0,
  availableWidth = 10920, availableHeight = 1073741824, rendContext =
0x92f3178, mFrameType = 1, mSpaceManager = 0x905fea8,
  mLineLayout = 0xfef706e4, mCBReflowState = 0xfef7111c,
mComputedWidth = 1073741824, mComputedHeight = 1073741824,
  mComputedMargin = {left = 0, top = 0, right = 0, bottom = 0},
mComputedBorderPadding = {left = 0, top = 0, right = 0,
    bottom = 0}, mComputedPadding = {left = 0, top = 0, right = 0,
bottom = 0}, mComputedOffsets = {left = 0, top = 0,
    right = 0, bottom = 0}, mComputedMinWidth = 0, mComputedMaxWidth =
1073741824, mComputedMinHeight = 0,
  mComputedMaxHeight = 1073741824, mCompactMarginWidth = 0,
mStyleDisplay = 0x9172960, mStyleVisibility = 0x91729ec,
  mStylePosition = 0x919b80c, mStyleBorder = 0x9172530, mStyleMargin =
0x9172b80, mStylePadding = 0x9172ba8,
  mStyleText = 0x9172c1c, mPercentHeightObserver = 0x0,
mPercentHeightReflowInitiator = 0x0, mReflowDepth = 5, mFlags = {
    mSpecialHeightReflow = 0, mIsTopOfPage = 0, mBlinks = 0,
mVisualBidiFormControl = 0, mUnused = 0},
  mRightEdge = 1073741824}
        metrics = {width = 0, height = 0, ascent = 0, descent = 0,
mMaxElementWidth = 0, mMaximumWidth = 0,
  mBoundingMetrics = {leftBearing = 0, rightBearing = 0, ascent = 0,
descent = 0, width = 0}, mCarriedOutBottomMargin = {
    mMostPos = 0, mMostNeg = 0}, mOverflowArea = {x = 0, y = 0, width
= 0, height = 0}, mFlags = 0,
  mNothingChanged = 0 '\0', mComputeMEW = 0 '\0'}
        bidiEnabled = 0
        end = -159890428
        psd = (nsLineLayout::PerSpanData *) 0x8927600
        availSize = {width = 10920, height = 1073741824}
        tx = 0
        frameType = (nsIAtom *) 0x8927600
        ty = 0
        start = -159925711
#25 0xf570da32 in nsBlockFrame::ReflowInlineFrame (this=0x9172a8c,
aState=@0xfef70db0, aLineLayout=@0xfef706e4,
    aFrame=0x919b904, aLineReflowStatus=0xfef706af "") at
nsBlockFrame.cpp:3577
        frameReflowStatus = 0
        pushedFrame = 0
        rv = 152511792
        aLine = Cannot access memory at address 0x0
Comment 1 Warren Togami 2004-10-21 06:45:52 EDT
Happened seven times since upgrading from -19 to -20 for me, and
downgrading to -19 made the problem go away.  Quite worrisome. =(
Comment 2 Warren Togami 2004-10-23 20:29:35 EDT
Oddly, this problem seems gone after a reboot.  WORKSFORME for now...